Subject: Re: [PATCH v3 bpf-next 13/15] selftest: Add test for xdp_egress

From: David Ahern <[email-masked]>
Date: Mon, 27 Apr 2020 11:58:54 -0600

On 4/27/20 11:52 AM, John Fastabend wrote:
> Also would be nice to have a test case for the xdp redirect into tx case. I think
> this is only going to test the skb path?

I have tests for the xdp_frame case, but it requires multiple nodes -
not namespaces. Multiple node tests no longer fall into the 'selftest'
category. I am not aware of any way to do XDP_REDIRECT testing within a
single node; general shortcoming with all xdp_frame specific tests.